Skip to main content
GET
/
employer_benefits
List employer benefits
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/employer_benefits \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "employer_benefit",
      "data": {
        "work_assignment": {
          "id": "<id>",
          "object": "work_assignment",
          "links": {
            "self": "/work_assignments/<id>"
          }
        },
        "business_preset": null,
        "employer_benefit_type": {
          "id": "<id>",
          "object": "employer_benefit_type",
          "data": {
            "type": "health",
            "label": "Health"
          },
          "links": {
            "self": "/employer_benefit_types/health"
          }
        },
        "employee_benefit": null,
        "title": null,
        "title_translations": null,
        "title_translated": null,
        "apply_sales_tax": true,
        "income_basis": "regular_earnings",
        "income_includes": [],
        "remittance_account_id": null,
        "remittance_account": null,
        "amount": 50,
        "amount_type": "fixed",
        "coverage_multiplier": 1,
        "max_annual_contribution": null,
        "max_annual_contribution_basis": "this_benefit",
        "frequency": "per_payroll",
        "date_basis": null,
        "pay_period_cadence": null,
        "effective_from": "2026-01-01",
        "effective_to": null,
        "expense_accounting_code": null,
        "liability_accounting_code": null,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/employer_benefits/<id>"
      }
    }
  ],
  "links": {
    "first": "/employer_benefits?work_assignment_id=<id>&page=1",
    "last": "/employer_benefits?work_assignment_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_entity_id
string
pay_schedule_id
string
work_assignment_id
string
employee_id
string
has_business_preset
boolean
business_preset_id
string
include_types
enum<string>
Available options:
accident_insurance_plan,
critical_illness,
debt_relief,
dental,
employee_assistance_program,
fondaction,
fondaction_rrsp,
fonds_solidarite_ftq,
fonds_solidarite_ftq_rrsp,
gift_near_cash,
gift_non_cash_non_taxable,
gift_non_cash_taxable,
group_dependent_life_insurance,
group_term_life_insurance,
health,
health_spending_account,
long_term_disability,
meals_subsidized_non_cash,
non_group_long_term_disability,
non_group_short_term_disability,
parking,
pension_dbpp,
pension_dcpp,
pension_mfpp,
pension_prpp,
pension_restricted_rrsp,
pension_rrsp,
pension_unregistered_prpp,
pension_vrsp,
professional_membership,
profit_sharing_dpsp,
savings_tfsa,
second_opinion_medical_consultation,
short_term_disability,
transit_pass,
transportation_to_from_work,
vehicle_employer_provided,
virtual_health_service,
wellness_spending_account
exclude_types
enum<string>
Available options:
accident_insurance_plan,
critical_illness,
debt_relief,
dental,
employee_assistance_program,
fondaction,
fondaction_rrsp,
fonds_solidarite_ftq,
fonds_solidarite_ftq_rrsp,
gift_near_cash,
gift_non_cash_non_taxable,
gift_non_cash_taxable,
group_dependent_life_insurance,
group_term_life_insurance,
health,
health_spending_account,
long_term_disability,
meals_subsidized_non_cash,
non_group_long_term_disability,
non_group_short_term_disability,
parking,
pension_dbpp,
pension_dcpp,
pension_mfpp,
pension_prpp,
pension_restricted_rrsp,
pension_rrsp,
pension_unregistered_prpp,
pension_vrsp,
professional_membership,
profit_sharing_dpsp,
savings_tfsa,
second_opinion_medical_consultation,
short_term_disability,
transit_pass,
transportation_to_from_work,
vehicle_employer_provided,
virtual_health_service,
wellness_spending_account
effective_on
string<date>
not_effective_on
string<date>
effective_from
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_from=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31
effective_to
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_to=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31
external_ref
string
search_payee_names
string
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
effective_from,
effective_to,
work_assignment.payee.default,
work_assignment.payee.first_name,
work_assignment.payee.last_name
tag_id
string
tag_group_id
string
expand
enum<string>[]
Available options:
business_preset,
employee_benefit,
expense_accounting_code,
liability_accounting_code,
remittance_account,
tag_assignment,
work_assignment

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]